Package ghidra.framework.main.logviewer.event

# Enum Class FVEvent.EventType

java.lang.Object
java.lang.Enum<FVEvent.EventType>
ghidra.framework.main.logviewer.event.FVEvent.EventType

All Implemented Interfaces:
  `Serializable`, `Comparable<FVEvent.EventType>`, `Constable`

Enclosing class:
  FVEvent

public static enum FVEvent.EventType extends Enum<FVEvent.EventType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COPY_SELECTION`
  `DECREMENT_AND_ADD_SELECTION`
  `DECREMENT_SELECTION`
  `FILE_CHANGED`
  `INCREMENT_AND_ADD_SELECTION`
  `INCREMENT_SELECTION`
  `OPEN_FILE_LOCATION`
  `RELOAD_FILE`
  `SCROLL_END`
  `SCROLL_END_2`
  `SCROLL_HOME`
  `SCROLL_LOCK_OFF`
  `SCROLL_LOCK_ON`
  `SLIDER_CHANGED`
  `VIEWPORT_DOWN`
  `VIEWPORT_PAGE_DOWN`
  `VIEWPORT_PAGE_UP`
  `VIEWPORT_UP`
  `VIEWPORT_UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FVEvent.EventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FVEvent.EventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COPY_SELECTION

    public static final FVEvent.EventType COPY_SELECTION

  - ### DECREMENT_SELECTION

    public static final FVEvent.EventType DECREMENT_SELECTION

  - ### DECREMENT_AND_ADD_SELECTION

    public static final FVEvent.EventType DECREMENT_AND_ADD_SELECTION

  - ### FILE_CHANGED

    public static final FVEvent.EventType FILE_CHANGED

  - ### INCREMENT_SELECTION

    public static final FVEvent.EventType INCREMENT_SELECTION

  - ### INCREMENT_AND_ADD_SELECTION

    public static final FVEvent.EventType INCREMENT_AND_ADD_SELECTION

  - ### OPEN_FILE_LOCATION

    public static final FVEvent.EventType OPEN_FILE_LOCATION

  - ### RELOAD_FILE

    public static final FVEvent.EventType RELOAD_FILE

  - ### SLIDER_CHANGED

    public static final FVEvent.EventType SLIDER_CHANGED

  - ### SCROLL_LOCK_OFF

    public static final FVEvent.EventType SCROLL_LOCK_OFF

  - ### SCROLL_LOCK_ON

    public static final FVEvent.EventType SCROLL_LOCK_ON

  - ### VIEWPORT_UPDATE

    public static final FVEvent.EventType VIEWPORT_UPDATE

  - ### VIEWPORT_UP

    public static final FVEvent.EventType VIEWPORT_UP

  - ### VIEWPORT_DOWN

    public static final FVEvent.EventType VIEWPORT_DOWN

  - ### VIEWPORT_PAGE_UP

    public static final FVEvent.EventType VIEWPORT_PAGE_UP

  - ### VIEWPORT_PAGE_DOWN

    public static final FVEvent.EventType VIEWPORT_PAGE_DOWN

  - ### SCROLL_HOME

    public static final FVEvent.EventType SCROLL_HOME

  - ### SCROLL_END

    public static final FVEvent.EventType SCROLL_END

  - ### SCROLL_END_2

    public static final FVEvent.EventType SCROLL_END_2

- ## Method Details

  - ### values

    public static FVEvent.EventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FVEvent.EventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null